<?php
session_start();
?>
<link rel="stylesheet" type="text/css" href="style.css">
<?
include_once("connect.php");
$dato = date("d/m h:i:s");
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '<b>$_SESSION[Brugernavn]</b> er desværre logget af.', 'orange')") or die(mysql_error());
mysql_query("UPDATE brugere SET online = 'no' WHERE brugernavn = '$_SESSION[Brugernavn]'");
$q1 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$hent1 = mysql_fetch_array($q1);
$tid = $hent1['logintid'];
$samlign = time() - $tid;

$minutter = $samlign / 60;

if($minutter > 60){
$regn = $minutter - 60;
$min = round($regn);
}else{
$min = round($minutter);
}
$db_profil = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$profil = mysql_fetch_array($db_profil);
if($profil[counter] > 1800000){
mysql_query("UPDATE brugere SET level = '15' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 1080000) {
mysql_query("UPDATE brugere SET level = '14' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 900000) {
mysql_query("UPDATE brugere SET level = '13' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 720000) {
mysql_query("UPDATE brugere SET level = '12' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 540000) {
mysql_query("UPDATE brugere SET level = '11' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 360000) {
mysql_query("UPDATE brugere SET level = '10' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 288000) {
mysql_query("UPDATE brugere SET level = '9' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 198000) {
mysql_query("UPDATE brugere SET level = '8' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 162000) {
mysql_query("UPDATE brugere SET level = '7' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 126000) {
mysql_query("UPDATE brugere SET level = '6' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 90000) {
mysql_query("UPDATE brugere SET level = '5' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 54000) {
mysql_query("UPDATE brugere SET level = '4' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 36000) {
mysql_query("UPDATE brugere SET level = '3' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 18000) {
mysql_query("UPDATE brugere SET level = '2' WHERE brugernavn = '$_SESSION[Brugernavn]'");
} elseif ($profil[counter] > 0) {
mysql_query("UPDATE brugere SET level = '1' WHERE brugernavn = '$_SESSION[Brugernavn]'");
}
$onlinetid = time()-$_SESSION[logintid];

$timer = round($min / 60);
$tiden = $timer+$min;

$now = date("d/m-Y H:i");
mysql_query("UPDATE brugere SET online = 'nej' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("UPDATE brugere SET loggetind = '0' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("update brugere set Point = Point+'$min', sidstset = '$now', counter = counter+'$onlinetid' where brugernavn = '$_SESSION[Brugernavn]'");
mysql_error();
$_SESSION['loggetind'] = "no";
print "Du er nu logget af";
?>
<meta http-equiv='refresh' content='0; url=login.php'>